Tried:

$ pip uninstall TracAccountManager
$ pip install svn+https://trac-hacks.org/svn/accountmanagerplugin/trunk


But no succuss.

On Monday, October 9, 2017 at 4:28:48 AM UTC-4, RjOllos wrote:
>
>
>
> On Mon, Oct 9, 2017 at 1:22 AM, Mike Dewhirst <mi...@dewhirst.com.au 
> <javascript:>> wrote:
>
>> How can I deal with this?
>>
>> There seem to be a number of tickets discussing this error and my 
>> interpretation is it should be fixed in 1.2. However, I have recently 
>> upgraded from 1.0 to 1.2 as indicated below in the Trac version. However, 
>> when I click on the Plugins page Trac 1.0 appears instead of 1.2.2. Maybe 
>> that is evidence I did it badly. An earlier thread "[Trac] Re: multiple 
>> projects transition from a single project​" finishing on 28 September 
>> covers Ryan's valiant and eventually successful effort to get me going 
>> again a couple of weeks ago.
>>
>> It is reproducible by clicking [Save changes] at the /General\ tab on the 
>> Preferences page. All the other tabs with [Save changes] work without error.
>>
>> It is also reproducible by clicking [Restart] on the Accounts | 
>> Configuration | Password Refresh section (at .../admin/accounts/config) 
>> whether Silently update password hashes ... is ticked or not
>>
>> It is also reproducible by clicking the Accounts | Users link on the same 
>> page (at .../admin/accounts/config)
>>
>> I couldn't find the error elsewhere. But in trying things, I did discover 
>> a Custom Fields KeyError: 'width' which I'll now write up in a separate 
>> thread.
>>
>> I have all the _ADMIN permissions including ACCTMGR_ADMIN, 
>> ACCTMGR_CONFIG_ADMIN and ACCTMGR_USER_ADMIN
>>
>> Thanks for any hints.
>>
>> Mike
>>
>>
>>  Oops…
>>
>> *Trac detected an internal error:*
>>
>> AttributeError: 'Environment' object has no attribute 'get_db_cnx'
>>
>> This is probably a local installation issue.
>>
>>
>>    Found a bug in Trac?
>>
>> If you think this should work and you can reproduce the problem, you 
>> should consider creating a bug report.
>>
>> Note that the following plugins seem to be involved: TracAccountManager, 
>> TracVote*Please report this issue to the plugin maintainer.*
>>
>> Before you do that, though, please first try*searching <
>> http://trac-hacks.org/search?ticket=yes&noquickjump=1&q=AttributeError%3A+%27Environment%27+object+has+no+attribute+%27get_db_cnx%27>for
>>  
>> similar issues*, as it is quite likely that this problem has been reported 
>> before. For questions about installation and configuration of Trac or its 
>> plugins, please try themailing list <
>> http://trac.edgewall.org/wiki/MailingList>instead of creating a ticket.
>>
>> Otherwise, pleasea new bug report describing the problem and explain how 
>> to reproduce it.
>>
>>
>>    Python Traceback
>>
>> Most recent call last:
>>
>> File "/usr/local/lib/python2.7/dist-packages/trac/web/main.py", line 623, 
>> in _dispatch_request
>>   dispatcher.dispatch(req)
>> File "/usr/local/lib/python2.7/dist-packages/trac/web/main.py", line 206, 
>> in dispatch
>>   chosen_handler = self._pre_process_request(req, chosen_handler)
>> File "/usr/local/lib/python2.7/dist-packages/trac/web/main.py", line 431, 
>> in _pre_process_request
>>   chosen_handler = filter_.pre_process_request(req, chosen_handler)
>> File "/usr/local/lib/python2.7/dist-packages/acct_mgr/register.py", line 
>> 485, in pre_process_request
>>   EmailCheck(self.env).validate_registration(req)
>> File "/usr/local/lib/python2.7/dist-packages/acct_mgr/register.py", line 
>> 254, in validate_registration
>>   elif email_associated(self.env, email):
>> File "/usr/local/lib/python2.7/dist-packages/acct_mgr/model.py", line 25, 
>> in email_associated
>>   db = _get_db(env, db)
>> File "/usr/local/lib/python2.7/dist-packages/acct_mgr/model.py", line 
>> 292, in _get_db
>>   return db or env.get_db_cnx()
>>
>> ------------------------------------------------------------------------
>>
>>
>>    System Information
>>
>> Package         Version
>> Trac    1.2.2
>> Babel   0.9.6
>> Docutils        0.9.1
>> Genshi  0.7 (without speedups)
>> mod_wsgi        4.3.0 (WSGIProcessGroup WSGIApplicationGroup %(GLOBAL))
>> Pygments        2.1
>> pysqlite        2.6.0
>> Python  2.7.12 (default, Nov 19 2016, 06:48:10) [GCC 5.4.0 20160609]
>> pytz    2012d
>> setuptools      36.5.0
>> SQLite  3.11.0
>> Subversion      1.9.3 (r1718519)
>>
>>
>>    Installed Plugins
>>
>> Name    Version         Location
>> TracAccountManager <http://trac-hacks.org/wiki/AccountManagerPlugin> 
>> 0.4.4      /usr/local/lib/python2.7/dist-packages <
>> https://trac.climate.com.au/ssds/prefs#frame0>
>> TracCustomFieldAdmin <http://trac-hacks.org/wiki/CustomFieldAdminPlugin>  
>>       0.2.8.post13289 
>> /usr/local/lib/python2.7/dist-packages/TracCustomFieldAdmin-0.2.8_r13289-py2.7.egg
>>  
>>
>> TracVote <https://trac-hacks.org/wiki/VotePlugin>       0.6.0 
>> /usr/local/lib/python2.7/dist-packages <
>> https://trac.climate.com.au/ssds/prefs#frame0>
>>
>>
>>    Interface Customization
>>
>> Site templates  site.html
>> Shared templates        
>> Site static resources   
>> Shared static resources 
>
>
> You need to install version 0.5dev of TracAccountManager. Suggested steps:
>
> $ pip uninstall TracAccountManager
> $ pip install svn+https://trac-hacks.org/svn/accountmanagerplugin/trunk
>
>
> - Ryan
>

-- 
You received this message because you are subscribed to the Google Groups "Trac 
Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to trac-users+unsubscr...@googlegroups.com.
To post to this group, send email to trac-users@googlegroups.com.
Visit this group at https://groups.google.com/group/trac-users.
For more options, visit https://groups.google.com/d/optout.

Reply via email to